Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class RangeImpl

    java.lang.Object
      weblogic.apache.xerces.dom.RangeImpl

All Implemented Interfaces:
  org.w3c.dom.ranges.Range

Deprecated. please use JDK supplied XML parsers and transformers

    public class RangeImpl

extends Object
implements org.w3c.dom.ranges.Range

The RangeImpl class implements the org.w3c.dom.range.Range interface.

Please see the API documentation for the interface classes and use the interfaces in your client programs.

Field Summary

Fields inherited from interface org.w3c.dom.ranges.Range
`END_TO_END, END_TO_START, START_TO_END, START_TO_START`

Constructor Summary
`RangeImpl(DocumentImpl document)` Deprecated. The constructor.

Method Summary
`DocumentFragment` | `cloneContents()` Deprecated.
`org.w3c.dom.ranges.Range` | `cloneRange()` Deprecated.
`void` | `collapse(boolean toStart)` Deprecated.
`short` | `compareBoundaryPoints(short how, org.w3c.dom.ranges.Range sourceRange)` Deprecated.
`void` | `deleteContents()` Deprecated.
`void` | `detach()` Deprecated.
`DocumentFragment` | `extractContents()` Deprecated.
`boolean` | `getCollapsed()` Deprecated.
`Node` | `getCommonAncestorContainer()` Deprecated.
`Node` | `getEndContainer()` Deprecated.
`int` | `getEndOffset()` Deprecated.
`Node` | `getStartContainer()` Deprecated.
`int` | `getStartOffset()` Deprecated.
`void` | `insertedNodeFromDOM(Node node)` Deprecated. This function is called from the DOM.
`void` | `insertNode(Node newNode)` Deprecated.
`void` | `selectNode(Node refNode)` Deprecated.
`void` | `selectNodeContents(Node refNode)` Deprecated.
`void` | `setEnd(Node refNode, int offset)` Deprecated.
`void` | `setEndAfter(Node refNode)` Deprecated.
`void` | `setEndBefore(Node refNode)` Deprecated.
`void` | `setStart(Node refNode, int offset)` Deprecated.
`void` | `setStartAfter(Node refNode)` Deprecated.
`void` | `setStartBefore(Node refNode)` Deprecated.
`void` | `surroundContents(Node newParent)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeImpl

    public RangeImpl(DocumentImpl document)

  Deprecated.
  The constructor. Clients must use DocumentRange.createRange(), because it registers the Range with the document, so it can be fixed-up.

Method Detail

### getStartContainer

    public Node getStartContainer()

  Deprecated.
  Specified by:
    `getStartContainer` in interface `org.w3c.dom.ranges.Range`

### getStartOffset

    public int getStartOffset()

  Deprecated.
  Specified by:
    `getStartOffset` in interface `org.w3c.dom.ranges.Range`

### getEndContainer

    public Node getEndContainer()

  Deprecated.
  Specified by:
    `getEndContainer` in interface `org.w3c.dom.ranges.Range`

### getEndOffset

    public int getEndOffset()

  Deprecated.
  Specified by:
    `getEndOffset` in interface `org.w3c.dom.ranges.Range`

### getCollapsed

    public boolean getCollapsed()

  Deprecated.
  Specified by:
    `getCollapsed` in interface `org.w3c.dom.ranges.Range`

### getCommonAncestorContainer

    public Node getCommonAncestorContainer()

  Deprecated.
  Specified by:
    `getCommonAncestorContainer` in interface `org.w3c.dom.ranges.Range`

### setStart

    public void setStart(Node refNode,
                         int offset)
                  throws org.w3c.dom.ranges.RangeException,
                         DOMException

  Deprecated.
  Specified by:
    `setStart` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `org.w3c.dom.ranges.RangeException`
    `DOMException`

### setEnd

    public void setEnd(Node refNode,
                       int offset)
                throws org.w3c.dom.ranges.RangeException,
                       DOMException

  Deprecated.
  Specified by:
    `setEnd` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `org.w3c.dom.ranges.RangeException`
    `DOMException`

### setStartBefore

    public void setStartBefore(Node refNode)
                        throws org.w3c.dom.ranges.RangeException

  Deprecated.
  Specified by:
    `setStartBefore` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `org.w3c.dom.ranges.RangeException`

### setStartAfter

    public void setStartAfter(Node refNode)
                       throws org.w3c.dom.ranges.RangeException

  Deprecated.
  Specified by:
    `setStartAfter` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `org.w3c.dom.ranges.RangeException`

### setEndBefore

    public void setEndBefore(Node refNode)
                      throws org.w3c.dom.ranges.RangeException

  Deprecated.
  Specified by:
    `setEndBefore` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `org.w3c.dom.ranges.RangeException`

### setEndAfter

    public void setEndAfter(Node refNode)
                     throws org.w3c.dom.ranges.RangeException

  Deprecated.
  Specified by:
    `setEndAfter` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `org.w3c.dom.ranges.RangeException`

### collapse

    public void collapse(boolean toStart)

  Deprecated.
  Specified by:
    `collapse` in interface `org.w3c.dom.ranges.Range`

### selectNode

    public void selectNode(Node refNode)
                    throws org.w3c.dom.ranges.RangeException

  Deprecated.
  Specified by:
    `selectNode` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `org.w3c.dom.ranges.RangeException`

### selectNodeContents

    public void selectNodeContents(Node refNode)
                            throws org.w3c.dom.ranges.RangeException

  Deprecated.
  Specified by:
    `selectNodeContents` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `org.w3c.dom.ranges.RangeException`

### compareBoundaryPoints

    public short compareBoundaryPoints(short how,
                                       org.w3c.dom.ranges.Range sourceRange)
                                throws DOMException

  Deprecated.
  Specified by:
    `compareBoundaryPoints` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `DOMException`

### deleteContents

    public void deleteContents()
                        throws DOMException

  Deprecated.
  Specified by:
    `deleteContents` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `DOMException`

### extractContents

    public DocumentFragment extractContents()
                                     throws DOMException

  Deprecated.
  Specified by:
    `extractContents` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `DOMException`

### cloneContents

    public DocumentFragment cloneContents()
                                   throws DOMException

  Deprecated.
  Specified by:
    `cloneContents` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `DOMException`

### insertNode

    public void insertNode(Node newNode)
                    throws DOMException,
                           org.w3c.dom.ranges.RangeException

  Deprecated.
  Specified by:
    `insertNode` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `DOMException`
    `org.w3c.dom.ranges.RangeException`

### surroundContents

    public void surroundContents(Node newParent)
                          throws DOMException,
                                 org.w3c.dom.ranges.RangeException

  Deprecated.
  Specified by:
    `surroundContents` in interface `org.w3c.dom.ranges.Range`
  Throws:
    `DOMException`
    `org.w3c.dom.ranges.RangeException`

### cloneRange

    public org.w3c.dom.ranges.Range cloneRange()

  Deprecated.
  Specified by:
    `cloneRange` in interface `org.w3c.dom.ranges.Range`

### toString

    public String toString()

  Deprecated.
  Specified by:
    `toString` in interface `org.w3c.dom.ranges.Range`
  Overrides:
    `toString` in class `Object`

### detach

    public void detach()

  Deprecated.
  Specified by:
    `detach` in interface `org.w3c.dom.ranges.Range`

### insertedNodeFromDOM

    public void insertedNodeFromDOM(Node node)

  Deprecated.
  This function is called from the DOM. This node has already been inserted into the DOM. Fix-up any offsets.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD